
Figure - Bug #115713
【BSP】【EVT】【LVDS】【偶现一次】屏幕熄灭，板子正常运行，电流大小1.8A左右
2023-02-01 17:42 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2023-02-01

Priority: High Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: [ro.build.display.id]: [01.00.0070.X101]��FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Resolution: FIXED Degrated: Yes

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Free Test Root cause: VX1偶现驱动加载失败问题，导致系统长时间无法操作，进入黑屏

Description

前置条件：

1、板子已经成功连接屏幕

操作步骤：

1.板子上电后正常启动，屏幕输出画面显示正常

2.正常使用过程中突然屏幕熄灭

预期结果：

1.板子上电启动后不会出现屏幕熄灭现象

2.重启后恢复正常

实际结果：

1.正常使用过程中突然屏幕熄灭，板子正常运行，电流大小1.8A左右

History

#1 - 2023-02-09 16:24 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-杜磊 to CD FW 曹覃刚

请帮忙分析一下，

01-31 02:08:55.283  2363  2363 E AndroidRuntime: FATAL EXCEPTION: main

01-31 02:08:55.283  2363  2363 E AndroidRuntime: Process: com.qualcomm.qti.devicestatisticsservice, PID: 2363

01-31 02:08:55.283  2363  2363 E AndroidRuntime: java.lang.NoClassDefFoundError: Failed resolution of: Landroid/hidl/manager/V1_0/IServiceNotification$Stub;

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at com.qualcomm.qti.devicestatisticsservice.DeviceStatisticsService.onStartCommand(DeviceStatisticsService.java:83)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at android.app.ActivityThread.handleServiceArgs(ActivityThread.java:4640)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at android.app.ActivityThread.access$2000(ActivityThread.java:248)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2092)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

01-31 02:08:55.283  2363  2363 E AndroidRuntime: Caused by: java.lang.ClassNotFoundException: android.hidl.manager.V1_0.IServiceNotification$Stub

01-31 02:08:55.283  2363  2363 E AndroidRuntime:     ... 11 more

01-31 02:08:55.287  1498  3292 I DropBoxManagerService: add tag=system_app_crash isTagEnabled=true flags=0x2

01-31 02:08:55.293  1498  1498 E BootReceiver: Could not open /sys/kernel/tracing/instances/bootreceiver/trace_pipe
01-31 02:08:55.293  1498  1498 E BootReceiver: android.system.ErrnoException: open failed: ENOENT (No such file or directory)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at libcore.io.Linux.open(Native Method)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at libcore.io.ForwardingOs.open(ForwardingOs.java:567)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at libcore.io.BlockGuardOs.open(BlockGuardOs.java:273)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at android.system.Os.open(Os.java:501)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at com.android.server.BootReceiver.onReceive(BootReceiver.java:167)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at android.app.ActivityThread.handleReceiver(ActivityThread.java:4309)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at android.app.ActivityThread.access$1600(ActivityThread.java:248)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2065)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at android.os.Handler.dispatchMessage(Handler.java:106)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at android.os.Looper.loopOnce(Looper.java:201)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at android.os.Looper.loop(Looper.java:288)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at com.android.server.SystemServer.run(SystemServer.java:909)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at com.android.server.SystemServer.main(SystemServer.java:616)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at java.lang.reflect.Method.invoke(Native Method)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

01-31 02:08:55.293  1498  1498 E BootReceiver:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:987)

#2 - 2023-02-10 15:33 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD BSP-杜磊

Hi 磊哥

■ 我的分析

-----------------------

01-31 02:08:55.283 2363 2363 E AndroidRuntime: FATAL EXCEPTION: main

01-31 02:08:55.283 2363 2363 E AndroidRuntime: Process: com.qualcomm.qti.devicestatisticsservice, PID: 2363

01-31 02:08:55.283 2363 2363 E AndroidRuntime: java.lang.NoClassDefFoundError: Failed resolution of: Landroid/hidl/manager/V1_0/IServiceNotification$Stub;

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at com.qualcomm.qti.devicestatisticsservice.DeviceStatisticsService.onStartCommand(DeviceStatisticsService.java:83)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at android.app.ActivityThread.handleServiceArgs(ActivityThread.java:4640)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at android.app.ActivityThread.access$2000(ActivityThread.java:248)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2092)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at android.os.Handler.dispatchMessage(Handler.java:106)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at android.os.Looper.loopOnce(Looper.java:201)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at android.os.Looper.loop(Looper.java:288)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at android.app.ActivityThread.main(ActivityThread.java:7880)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at java.lang.reflect.Method.invoke(Native Method)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

01-31 02:08:55.283 2363 2363 E AndroidRuntime: Caused by: java.lang.ClassNotFoundException: android.hidl.manager.V1_0.IServiceNotification$Stub

01-31 02:08:55.283 2363 2363 E AndroidRuntime: ... 11 more

01-31 02:08:55.287 1498 3292 I DropBoxManagerService: add tag=system_app_crash isTagEnabled=true flags=0x2

01-31 02:08:55.293 1498 1498 E BootReceiver: Could not open /sys/kernel/tracing/instances/bootreceiver/trace_pipe

01-31 02:08:55.293 1498 1498 E BootReceiver: android.system.ErrnoException: open failed: ENOENT (No such file or directory)

01-31 02:08:55.293 1498 1498 E BootReceiver: at libcore.io.Linux.open(Native Method)

01-31 02:08:55.293 1498 1498 E BootReceiver: at libcore.io.ForwardingOs.open(ForwardingOs.java:567)

01-31 02:08:55.293 1498 1498 E BootReceiver: at libcore.io.BlockGuardOs.open(BlockGuardOs.java:273)

01-31 02:08:55.293 1498 1498 E BootReceiver: at android.system.Os.open(Os.java:501)

01-31 02:08:55.293 1498 1498 E BootReceiver: at com.android.server.BootReceiver.onReceive(BootReceiver.java:167)

01-31 02:08:55.293 1498 1498 E BootReceiver: at android.app.ActivityThread.handleReceiver(ActivityThread.java:4309)

01-31 02:08:55.293 1498 1498 E BootReceiver: at android.app.ActivityThread.access$1600(ActivityThread.java:248)

01-31 02:08:55.293 1498 1498 E BootReceiver: at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2065)
01-31 02:08:55.293 1498 1498 E BootReceiver: at android.os.Handler.dispatchMessage(Handler.java:106)

01-31 02:08:55.293 1498 1498 E BootReceiver: at android.os.Looper.loopOnce(Looper.java:201)

01-31 02:08:55.293 1498 1498 E BootReceiver: at android.os.Looper.loop(Looper.java:288)

01-31 02:08:55.293 1498 1498 E BootReceiver: at com.android.server.SystemServer.run(SystemServer.java:909)

01-31 02:08:55.293 1498 1498 E BootReceiver: at com.android.server.SystemServer.main(SystemServer.java:616)

01-31 02:08:55.293 1498 1498 E BootReceiver: at java.lang.reflect.Method.invoke(Native Method)

01-31 02:08:55.293 1498 1498 E BootReceiver: at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

01-31 02:08:55.293 1498 1498 E BootReceiver: at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:987)

-----------------------

①您贴的上述日志，目前在每次开机时都会产生，它不影响设备的正常使用，因此它不是引起当前问题的原因

②从AF的观点，检查发现下列信息，DisplayDeviceConfig用于读取和存储显示器的特定配置, 但是日志中提示不存在配置映射 (这个日志持续输出了几十分

钟，正常情况在开机时偶尔会有一两条)

结合问题现象，屏幕是熄灭的，猜测应该是屏幕硬件驱动等出现了问题

-----------------------

01-31 03:43:44.219  1498  1985 E DisplayDeviceConfig: requesting nits when no mapping exists.

01-31 03:43:44.235  1498  1985 E DisplayDeviceConfig: requesting nits when no mapping exists.

01-31 03:43:44.235  1498  1985 E DisplayDeviceConfig: requesting nits when no mapping exists.

01-31 03:43:44.253  1498  1985 E DisplayDeviceConfig: requesting nits when no mapping exists.

-----------------------

③缺乏kernel日志，无法继续往下分析，建议让测试同学压测此问题，抓取kernel日志

■ 下一步解析计划

结合上述①②③的分析，需要BSP的同学继续跟踪此问题，感谢

#3 - 2023-02-10 16:09 - 移动测试一组_CDTS 刘强

- File ker.txt added

- File tlog_sts40x190074_001_0209224416.tar.gz added

- File screenoff.txt added

- Assignee changed from CD BSP-杜磊 to CD FW 曹覃刚

VX板子0073最新release版本复现一次

#4 - 2023-02-10 16:09 - 移动测试一组_CDTS 刘强

- Assignee changed from CD FW 曹覃刚 to CD BSP-杜磊

#5 - 2023-02-10 16:23 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 10

Hi, 刘强，

根据最新的的kernel log, 发现时VX1　touch失效了，导致无法操作

01-02 02:16:04.978     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

01-02 02:16:05.070     0     0 I cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

01-02 02:16:06.098     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

01-02 02:16:06.098     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

01-02 02:16:06.190     0     0 I cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

01-02 02:16:06.770     0     0 E DTC_ETH,link_delay_work_func: 3003, SQI=0, link=0
01-02 02:16:07.218     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

01-02 02:16:07.218     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

01-02 02:16:07.310     0     0 I cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

01-02 02:16:08.338     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

01-02 02:16:08.338     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

01-02 02:16:08.430     0     0 I cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

01-02 02:16:09.458     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

01-02 02:16:09.458     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

01-02 02:16:09.550     0     0 I cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

01-02 02:16:10.578     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

01-02 02:16:10.578     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62

01-02 02:16:10.670     0     0 I cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0

01-02 02:16:11.698     0     0 E cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0

下一步验证：

如下VB修改了VX1的驱动代码，可能会对此问题有优化效果，需要使用VB再验证一下。

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529

#6 - 2023-02-15 19:25 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP-杜磊

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529

该版本做了以下验证：

1.  VC-VX 合计adb reboot 20次，断电重启-50次，FDR 20次,未复现触控不可用和无法启动情况

2.  VC版子和VX板子各一台长时间运行48H，未出现自动息屏情况

今天客户复现一次类似问题，关联issue：https://share.thundersoft.com/redmine/issues/116260

后续还需要继续跟踪

#7 - 2023-02-16 14:29 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 10 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to Yes

- Root cause set to VX1偶现驱动加载失败问题，导致系统长时间无法操作，进入黑屏

Hi, 刘强

VX1 TP驱动已做优化修改，VB验证暂未复现，建议close，在入库后的DB版本做跟踪此问题即可。

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/178194

#8 - 2023-03-07 11:07 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_Test 吴诗雨

2025-07-04 4/8

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529
https://share.thundersoft.com/redmine/issues/116260
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/178194


麻烦在MTBF脚本压测过程中关注是否出现这个问题，然后每天更新下最新验证结果

#9 - 2023-03-07 14:54 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019

【复现情况】MTBF跑测16小时未复现

#10 - 2023-03-08 14:16 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

【复现情况】MTBF16小时未复现上述情况

#11 - 2023-03-09 15:02 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

【复现情况】MTBF16小时未复现上述情况

#12 - 2023-03-10 17:16 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

【复现情况】MTBF16小时未复现上述情况

#13 - 2023-03-14 09:54 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

【复现情况】MTBF16小时未复现上述情况

#14 - 2023-03-16 16:39 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303150042

【复现情况】MTBF16小时未复现上述情况

#15 - 2023-03-17 10:23 - CDTS_Test 吴诗雨

- File 03170949.txt added

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to BSP组-RD3_TSCD 贾顺旺

vx1屏幕复现，复现版本0316release版本

现象描述：

开机老化一晚上后出现；

第二天早上显示屏没有画面，有背光；

adb可连接；

点击触摸屏，adb可捕获触摸事件；

logcat日志：03170949.txt

2025-07-04 5/8



#16 - 2023-03-17 11:39 - BSP组-RD3_TSCD 贾顺旺

日志分析

1）17日（案例发现当天）早上内核重启过。在这之前一直出现CarrierConfigManager报错。

03-17 09:01:58.280 26058 26058 W CarrierConfigManager: Error getting config for subId -1 ICarrierConfigLoader is null

03-17 09:01:58.297  1493  1531 D TelephonyRegistry: listen oscl: mHasNotifySubscriptionInfoChangedOccurred==false no callback

03-17 09:01:58.299  1493  1531 D TelephonyRegistry: listen oscl: mHasNotifySubscriptionInfoChangedOccurred==false no callback

2）17日9点41分后一直报crash错误，显示Process: com.android.systemui出错。

--------- beginning of crash

03-17 09:41:18.377  7934  7934 E AndroidRuntime: FATAL EXCEPTION: main

03-17 09:41:18.377  7934  7934 E AndroidRuntime: Process: com.android.systemui, PID: 7934

03-17 09:41:18.377  7934  7934 E AndroidRuntime: java.lang.RuntimeException: Unable to get provider com.android.systemui.keyguard.KeyguardSliceProvider:

java.lang.RuntimeException: java.lang.NullPointerException: Invalid Surface(name=Task=2261)/@0xe21720a, mNativeObject is null. Have you called release() already?

03-17 09:41:18.377  7934  7934 E AndroidRuntime:         at android.app.ActivityThread.installProvider(ActivityThread.java:7468)

03-17 09:41:18.377  7934  7934 E AndroidRuntime:         at android.app.ActivityThread.installContentProviders(ActivityThread.java:6980)

#17 - 2023-03-17 11:52 - CD BSP-杜磊

- File FSEM_4491_0050_1679019491560.tar.gz added

#18 - 2023-03-17 11:54 - CD BSP-杜磊

491_persist_00999_230317_100305.log

03-17 10:03:07.371   914  1669 E SurfaceFlinger: layer (Task=2287#0) ::  parent (no-parent).

03-17 10:03:07.371   914  1669 E SurfaceFlinger: layer (Task=2286#0) ::  parent (no-parent).

03-17 10:03:07.371   914  1669 E SurfaceFlinger: layer (Task=2285#0) ::  parent (no-parent).

03-17 10:03:07.371   914  1669 E SurfaceFlinger: layer (Task=2284#0) ::  parent (no-parent).

03-17 10:03:07.371   914  1669 E SurfaceFlinger: layer (Task=2283#0) ::  parent (no-parent).

03-17 10:03:07.371   914  1669 E SurfaceFlinger: layer (Task=2282#0) ::  parent (no-parent).

03-17 10:03:07.371   914  1669 E SurfaceFlinger: layer (Task=2281#0) ::  parent (no-parent).

#19 - 2023-03-17 11:55 - CD BSP-杜磊

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to CD FW 曹覃刚

#20 - 2023-03-22 18:48 - CD BSP-杜磊

- Category changed from BSP to CD-FW

#21 - 2023-03-23 17:47 - CD FW 曹覃刚

- Category changed from CD-FW to BSP

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

Hi 强哥

诗雨在#15中更新的内容，原因如下

------------------

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2293#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2292#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2291#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2290#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2289#0) ::  parent (no-parent).
03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2288#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2287#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2286#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2285#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2284#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2283#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2282#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2281#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2280#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2279#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2278#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2277#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2276#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2275#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2274#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2273#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2272#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2271#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2270#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2269#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2268#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2267#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2266#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2265#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2264#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2263#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Task=2262#0) ::  parent (no-parent).

03-17 10:04:28.964   914  2712 E SurfaceFlinger: layer (Drag and Drop Input Consumer#0) ::  parent (no-parent).

03-17 10:04:28.965  1493  1750 E SurfaceComposerClient: SurfaceComposerClient::createSurface error Out of memory

03-17 10:04:28.965  1493  1750 W ActivityTaskManager: TaskOrganizerController onTransact aborts UID:10078 PID:19568

03-17 10:04:28.965  1493  1750 W ActivityTaskManager: android.view.Surface$OutOfResourcesException

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at android.view.SurfaceControl.nativeCreate(Native Method)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at android.view.SurfaceControl.<init>(SurfaceControl.java:1435)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at android.view.SurfaceControl.<init>(SurfaceControl.java:87)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at android.view.SurfaceControl$Builder.build(SurfaceControl.java:1108)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.WindowContainer.setInitialSurfaceControlProperties(WindowContainer.java:454)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.Task.setInitialSurfaceControlProperties(Task.java:3749)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.WindowContainer.createSurfaceControl(WindowContainer.java:450)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.WindowContainer.onParentChanged(WindowContainer.java:431)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.WindowContainer.onParentChanged(WindowContainer.java:418)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.Task.onParentChanged(Task.java:1424)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.WindowContainer.setParent(WindowContainer.java:408)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.WindowContainer.addChild(WindowContainer.java:576)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.TaskDisplayArea.addChildTask(TaskDisplayArea.java:398)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.TaskDisplayArea.addChild(TaskDisplayArea.java:384)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.Task$Builder.build(Task.java:8368)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.TaskOrganizerController.createRootTask(TaskOrganizerController.java:669)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.TaskOrganizerController.createRootTask(TaskOrganizerController.java:648)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at android.window.ITaskOrganizerController$Stub.onTransact(ITaskOrganizerController.java:195)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at com.android.server.wm.TaskOrganizerController.onTransact(TaskOrganizerController.java:455)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at android.os.Binder.execTransactInternal(Binder.java:1179)

03-17 10:04:28.965  1493  1750 W ActivityTaskManager:     at android.os.Binder.execTransact(Binder.java:1143)

------------------
这个问题我们在下面的票中分析

https://share.thundersoft.com/redmine/issues/115534

请确认这个票本身的问题，感谢

#22 - 2023-03-27 09:57 - CD BSP-杜磊

- Category changed from BSP to CD-FW

#23 - 2023-04-12 10:26 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_TEST 王成

BUG切分，黑屏BUG暂未复现，先关闭，有新BUG重新提交，MTBF的BUG有另外BUG跟进 https://share.thundersoft.com/redmine/issues/115534

#24 - 2023-04-12 10:26 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#25 - 2023-04-12 10:27 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

logcat.rar 273 KB 2023-02-01 SZTS_TEST 邹涛

ker.txt 1.88 MB 2023-02-10 移动测试一组_CDTS 刘强

tlog_sts40x190074_001_0209224416.tar.gz 26.1 MB 2023-02-10 移动测试一组_CDTS 刘强

screenoff.txt 5.45 MB 2023-02-10 移动测试一组_CDTS 刘强

03170949.txt 33 MB 2023-03-17 CDTS_Test 吴诗雨

FSEM_4491_0050_1679019491560.tar.gz 8.09 MB 2023-03-17 CD BSP-杜磊
